SYNOPSIS
        void catch_msg(mixed *arr, object obj)

DESCRIPTION
        When say(), tell_room() or tell_object() are used with an
        array as message, the array will be passed to catch_message()
        in all living objects that can hear it, instead of writing to
        the user resp.  sending to catch_tell(). This can be used to
        implement communication protocols between livings. The second
        denotes the object that has sent the message.

HISTORY
        LDMud 3.2.11 added tell_object() to the efuns calling this
        lfun for symmetry reasons.

SEE ALSO
        say(E), tell_object(E), tell_room(E), catch_tell(A)
